Replace inference secret
curl --request PUT \
--url https://api.gcore.com/cloud/v3/inference/{project_id}/secrets/{secret_name} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"aws_access_key_id": "fake-key-id",
"aws_secret_access_key": "fake-secret"
},
"type": "aws-iam"
}
'import requests
url = "https://api.gcore.com/cloud/v3/inference/{project_id}/secrets/{secret_name}"
payload = {
"data": {
"aws_access_key_id": "fake-key-id",
"aws_secret_access_key": "fake-secret"
},
"type": "aws-iam"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {aws_access_key_id: 'fake-key-id', aws_secret_access_key: 'fake-secret'},
type: 'aws-iam'
})
};
fetch('https://api.gcore.com/cloud/v3/inference/{project_id}/secrets/{secret_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"aws_access_key_id": "fake-key-id",
"aws_secret_access_key": "fake-secret"
},
"name": "aws-dev",
"type": "aws-iam"
}Everywhere Inference
Replace inference secret
PUT
/
cloud
/
v3
/
inference
/
{project_id}
/
secrets
/
{secret_name}
Replace inference secret
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Inference secret name.
Minimum string length:
4Pattern:
^[a-z0-9]([-a-z0-9]*[a-z0-9])?$Example:
"aws-dev"
Body
application/json
Response
200 - application/json
OK
Was this page helpful?
⌘I